dmmp_context_log_priority_set(3)

NAME
dmmp_context_log_priority_set - Set log priority.

SYNOPSIS
void dmmp_context_log_priority_set (struct dmmp_context *ctx, int priority);

ARGUMENTS

ctx Pointer of 'struct dmmp_context'. If this pointer is NULL, your program will be terminated by assert.

priority
    int, log priority.

DESCRIPTION

When library generates log message, only equal or more important(less value) message will be forwarded to log handler function. Valid log priority values are:

* DMMP_LOG_PRIORITY_ERROR -- 3

* DMMP_LOG_PRIORITY_WARNING -- 4

* DMMP_LOG_PRIORITY_INFO -- 5

* DMMP_LOG_PRIORITY_DEBUG -- 7

RETURN
void